import java.net.MalformedURLException;

import org.junit.Assert;
import org.junit.Test;

import com.example.interfaces.Web;


public class WebScannerTest {
	private String url = "http://www.textfiles.com/stories/beggars.txt";
	private Web web;
	
	public WebScannerTest() throws MalformedURLException {
		web = new WebScanner(this.url);
		web.setContentWordCount();
	}

	@Test
	public void TestWords() {
		Long test1 = 1L;
		Long test2 = 4L;
		Assert.assertTrue(web.getWordCount().size() > 0);
		Assert.assertEquals(test1, web.getCountFor("test"));
		Assert.assertEquals(test2, web.getCountFor("bird"));
	}
	
	@Test
	public void TestDistinct() {
		Assert.assertTrue(web.getTotalWordCount() == 17706);
	}
}
